Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_equals

## Name

librdf_node_equals -- Compare two librdf_node objects for equality

## Synopsis

``int `librdf_node_equals`` (librdf_node* `first_node`, librdf_node* `second_node`);`

## Arguments

`first_node`

  first librdf_node node

`second_node`

  second librdf_node node

## Description

Note - for literal nodes, XML language, XML space and well-formness are presently ignored in the comparison.

## Return value

non 0 if nodes are equal. 0 if not-equal or failure

<<< Previous | Home | Next >>>
librdf_node_get_digest | Up | librdf_node_encode